PHP Fatal error: Class 'Session' not found

Bug #1579999 reported by Robert Lyon on 2016-05-10
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Mahara
High
Robert Lyon
15.04
High
Unassigned
15.10
High
Unassigned
16.04
High
Unassigned
16.10
High
Robert Lyon

Bug Description

I get this error PHP Fatal error: Class 'Session' not found in htdocs/lib/errors.php on line 128

I believe it is due the the require_once not pointing to the correct file

Robert Lyon (robertl-9) on 2016-05-10
Changed in mahara:
status: New → In Progress
importance: Undecided → Medium
importance: Medium → High
milestone: none → 16.10.0
assignee: nobody → Robert Lyon (robertl-9)
Robert Lyon (robertl-9) on 2016-05-10
description: updated
Jeremy FitzPatrick (noisyjerm) wrote :

I received this error when installing Mahara. I did not have the dataroot permissions set correctly. After fixing the permissions i was able to continue.

Reviewed: https://reviews.mahara.org/6465
Committed: https://git.mahara.org/mahara/mahara/commit/848215468cc412fe31e5c4d8d2de51a6ec2036b3
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 848215468cc412fe31e5c4d8d2de51a6ec2036b3
Author: Robert Lyon <email address hidden>
Date: Tue May 10 15:31:18 2016 +1200

Bug 1579999: Class 'Session' not found in errors.php

The warning is
PHP Fatal error: Class 'Session' not found in htdocs/lib/errors.php on line 128

behatnotneeded

Change-Id: I8ebbc6d427d59e7a3515b09ee5b1f67c14957122
Signed-off-by: Robert Lyon <email address hidden>

Son Nguyen (ngson2000) on 2016-05-15
Changed in mahara:
status: In Progress → Fix Committed
Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/6571

Mahara Bot (dev-mahara) wrote :

Patch for "15.04_STABLE" branch: https://reviews.mahara.org/6572

Reviewed: https://reviews.mahara.org/6570
Committed: https://git.mahara.org/mahara/mahara/commit/0c4543787ea6823c93ffa7ee75357a8063bb002c
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit 0c4543787ea6823c93ffa7ee75357a8063bb002c
Author: Robert Lyon <email address hidden>
Date: Tue May 10 15:31:18 2016 +1200

Bug 1579999: Class 'Session' not found in errors.php

The warning is
PHP Fatal error: Class 'Session' not found in htdocs/lib/errors.php on line 128

behatnotneeded

Change-Id: I8ebbc6d427d59e7a3515b09ee5b1f67c14957122
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit 848215468cc412fe31e5c4d8d2de51a6ec2036b3)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6571
Committed: https://git.mahara.org/mahara/mahara/commit/bc5d4f9e29ec736c6a3cd374193cbc91ebb8ac78
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit bc5d4f9e29ec736c6a3cd374193cbc91ebb8ac78
Author: Robert Lyon <email address hidden>
Date: Tue May 10 15:31:18 2016 +1200

Bug 1579999: Class 'Session' not found in errors.php

The warning is
PHP Fatal error: Class 'Session' not found in htdocs/lib/errors.php on line 128

behatnotneeded

Change-Id: I8ebbc6d427d59e7a3515b09ee5b1f67c14957122
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit 848215468cc412fe31e5c4d8d2de51a6ec2036b3)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6572
Committed: https://git.mahara.org/mahara/mahara/commit/c25cf821427000c07fa9df9ebf7fb47a56725c1a
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit c25cf821427000c07fa9df9ebf7fb47a56725c1a
Author: Robert Lyon <email address hidden>
Date: Tue May 10 15:31:18 2016 +1200

Bug 1579999: Class 'Session' not found in errors.php

The warning is
PHP Fatal error: Class 'Session' not found in htdocs/lib/errors.php on line 128

behatnotneeded

Change-Id: I8ebbc6d427d59e7a3515b09ee5b1f67c14957122
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit 848215468cc412fe31e5c4d8d2de51a6ec2036b3)

Robert Lyon (robertl-9) on 2016-10-21
Changed in mahara:
status: Fix Committed → Fix Released
Robert Lyon (robertl-9) on 2016-10-21
Changed in mahara:
milestone: 16.10.0 → none
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers